c    ** global parameters **
        integer     n
        common /global/ n

c    ** common /cofig/ Positions, velocities and forces
        doubleprecision rx(1000), ry(1000), rz(1000)
        doubleprecision vx(1000), vy(1000), vz(1000)
        doubleprecision fx(1000), fy(1000), fz(1000)
        common /cofig/ rx, ry, rz, vx, vy, vz, fx, fy, fz


c    ** common /params/ Simulation control parameters
        doubleprecision dt, rcut, req_temp
	doubleprecision siga, epsa, rcuta, sigb, epsb, rcutb,detz
	doubleprecision boxx, boxy, boxz,fsxy(500),fsz(500)
        integer         nblock, nstep, nrad
	logical         fix_temp
        character       disnam*20, rundat*20
	common /params/ dt, rcut, req_temp, 
     :                  siga, epsa, rcuta, sigb, epsb, rcutb,detz,
     :                  boxx, boxy, boxz,fsxy,fsz,
     :                  nblock, nstep, fix_temp,
     :                  disnam, rundat, nrad

c    ** common /values/ Current values of energy etc.
        doubleprecision eng, kin, pot, vir, temp, press, ro, maxrad
	common /values/ eng, kin, pot, vir, temp, press, ro, maxrad
	

c    ** common /runavs/ Run average values of energy etc.
        doubleprecision runeng, runkin, runpot, runvir
	common /runavs/ runeng, runkin, runpot, runvir
	
c    ** common /blkavs/ Block average values of energy etc.
        doubleprecision blkeng,blkkin,blkpot,blkvir,runrad(500),gdp(500)
	common /blkavs/ blkeng,blkkin,blkpot,blkvir,runrad, gdp
